Package wx :: Package lib :: Module graphics :: Class GraphicsPen

[frames | no frames]

## Type GraphicsPen

        object --+
                 |
    GraphicsObject --+
                     |
                    GraphicsPen

A Pen is used to define the properties of how a stroke is drawn.

Method Summary
| `__init__(self, colour, width, style)`
| `Apply(self, ctx)`
| ``CreateFromPattern`(pattern, width)` Create a Pen directly from a Cairo Pattern object. (Static method)
| ``CreateFromPen`(pen)` Convert a wx.Pen to a GraphicsPen (Static method)

Property Summary
| `Cap`
| `Colour`
| `Dashes`
| `Join`
| `Pattern`
| `Stipple`
| `Style`
| `Width`

Static Method Details

### CreateFromPattern(pattern, width=1)

Create a Pen directly from a Cairo Pattern object. This is similar to using a stipple bitmap, but saves a step, and patterns can include gradients, etc.

### CreateFromPen(pen)

Convert a wx.Pen to a GraphicsPen

Property Details

### Cap

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Colour

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Dashes

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Join

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Pattern

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Stipple

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Style

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Width

  Get Method:
    fget(...)
  Set Method:
    fset(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:39 2009 | http://epydoc.sf.net